Bug 135144 - speed increasing/decreasing does not work
Summary: speed increasing/decreasing does not work
Status: RESOLVED FIXED
Alias: None
Product: kgoldrunner
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Slackware Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Ian Wadham
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-05 14:24 UTC by richlv
Modified: 2006-10-09 07:26 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description richlv 2006-10-05 14:24:38 UTC
Version:            (using KDE KDE 3.5.4)
Installed from:    Slackware Packages
OS:                Linux

speed increasing and decreasing does not work both from menu & using shortcut keys. instead, increasing/decreasing entry is "selected".

as handbook seems to indicate that there are additional speed levels to beginner/normal/fast, they are not available because of this problem.
Comment 1 Ian Wadham 2006-10-06 05:27:59 UTC
Actions for increase/decrease speed were included in a KToggleAction group, along with the other speed actions, so + and - work ... but only once.  Will fix.
Comment 2 Ian Wadham 2006-10-09 07:26:53 UTC
SVN commit 593791 by ianw:

BUG: 135144 Make actions for increase/decrease speed repeatable, not toggle.

 M  +2 -4      kgoldrunner.cpp  
 M  +3 -0      kgoldrunnerui.rc  


--- branches/KDE/3.5/kdegames/kgoldrunner/src/kgoldrunner.cpp #593790:593791
@@ -367,12 +367,12 @@
 				0,
 				this, SLOT(champSpeed()), actionCollection(),
 				"champion_speed");
-    KRadioAction * iSpeed =	new KRadioAction (
+    (void)			new KAction (		// Repeatable action.
 				i18n("Increase Speed"),
 				Key_Plus,
 				this, SLOT(incSpeed()), actionCollection(),
 				"increase_speed");
-    KRadioAction * dSpeed =	new KRadioAction (
+    (void)			new KAction (		// Repeatable action.
 				i18n("Decrease Speed"),
 				Key_Minus,
 				this, SLOT(decSpeed()), actionCollection(),
@@ -381,8 +381,6 @@
     nSpeed->			setExclusiveGroup ("speed");
     bSpeed->			setExclusiveGroup ("speed");
     cSpeed->			setExclusiveGroup ("speed");
-    iSpeed->			setExclusiveGroup ("speed");
-    dSpeed->			setExclusiveGroup ("speed");
     nSpeed->			setChecked (TRUE);
 
     // Traditional Rules
--- branches/KDE/3.5/kdegames/kgoldrunner/src/kgoldrunnerui.rc #593790:593791
@@ -68,5 +68,8 @@
     <Action shortcut="Space"		name="stop" />
     <Action shortcut="Z;U"		name="dig_left" />
     <Action shortcut="C;O"		name="dig_right" />
+
+    <Action shortcut="+"		name="increase_speed" />
+    <Action shortcut="-"		name="decrease_speed" />
 </ActionProperties>
 </kpartgui>